Import Product Image

by
Odoo 1
v 11.0 Third Party 1447
Download for 11.0 series Deploy on Odoo.sh
You bought this module and need support ? Click here !
Technical name import_product_image
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Read description for v 10.0
Required Apps Sales (sale)
Invoicing (account)
Technical name import_product_image
LicenseAGPL-3
Websitehttps://www.cybrosys.com
Read description for v 10.0
Required Apps Sales (sale)
Invoicing (account)

Import Product Image

Cybrosys Technologies

Import Product Image From CSV File(Url/ File Path).

Overview

This module allows you to import images for a product/product variant from a CSV file using URL and file path. You can also create a new product from the wizard if it does not exist in the system.

Import Multiple Image Through CSV File

This is a sample CSV file to import product image

Import Image From Url Or File path

Here you have the option to create a new product or to modify existing products

Imported Product Images

Here you can see all your product with imported images

Warning Message for unsupported image address

In case of video data url.
In case of unsupported file format.
In case of image size is too large.

Need Any Help?

Please log in to comment on this module

Please choose a rating from 1 to 5 for this module.
Odoo
i tried install module in ubuntu, but i throw the following error
by on

Odoo Server Error Traceback (most recent call last): File "/odoo/odoo-server/odoo/models.py", line 1036, in _validate_fields check(self) File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 335, in _check_xml self.postprocess_and_fields(view.model, view_doc, view.id) File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 993, in postprocess_and_fields self.raise_view_error(_('Model not found: %(model)s') % dict(model=model), view_id) File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 509, in raise_view_error raise ValueError(message) ValueError: Modelo no encontrado: import.product_image Contexto del error: Vista `product.import.image.form`[view_id: 2247, xml_id: n/a, model: import.product_image, parent_id: n/a] During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/odoo/odoo-server/odoo/tools/convert.py", line 744, in parse self._tags[rec.tag](rec, de, mode=mode) File "/odoo/odoo-server/odoo/tools/convert.py", line 654, in _tag_record id = self.env(context=rec_context)['ir.model.data']._update(rec_model, self.module, res, rec_id or False, not self.isnoupdate(data_node), noupdate=self.isnoupdate(data_node), mode=self.mode) File "/odoo/odoo-server/odoo/addons/base/ir/ir_model.py", line 1487, in _update record = record.create(values) File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 398, in create return super(View, self).create(self._compute_defaults(values)) File "/odoo/odoo-server/odoo/models.py", line 3380, in create self._fields[key].determine_inverse(record) File "/odoo/odoo-server/odoo/fields.py", line 1071, in determine_inverse getattr(records, self.inverse)() File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 266, in _inverse_arch view.write(data) File "/odoo/odoo-server/odoo/addons/base/ir/ir_ui_view.py", line 414, in write return super(View, self).write(self._compute_defaults(vals)) File "/odoo/odoo-server/odoo/models.py", line 3089, in write self._write(old_vals) File "/odoo/odoo-server/odoo/models.py", line 3255, in _write self._validate_fields(vals) File "/odoo/odoo-server/odoo/models.py", line 1040, in _validate_fields raise ValidationError("%s\n\n%s" % (_("Error while validating constraint"), tools.ustr(e))) odoo.exceptions.ValidationError: ('Error mientras se validaban las restricciones\n\nModelo no encontrado: import.product_image\n\nContexto del error:\nVista `product.import.image.form`\n[view_id: 2247, xml_id: n/a, model: import.product_image, parent_id: n/a]', None) Modelo no encontrado: import.product_image Contexto del error: Vista `product.import.image.form` [view_id: 2247, xml_id: n/a, model: import.product_image, parent_id: n/a] None" while parsing /odoo/odoo-server/addons/import_product_image/views/import_product_image_view.xml:4, near product.import.image.form import.product_image form

or


Odoo
import_product_image not found
by on

I tried to found import_product_image on your repo addons unsuccessfully. https://github.com/CybroOdoo/CybroAddons/tree/11.0 It was removed?


Odoo
error while importing images
by on

I always look up to cybrosys modules for most of my applications. This is also a wonderful module, however, I find some trouble in uploading the images. Here is the error message that I get. Error: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 647, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 307, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 689, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 332, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 933, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 512, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 934, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 922, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/import_product_image/models/import_image.py", line 41, in import_file file = StringIO(base64.decodestring(self.file)) TypeError: initial_value must be str or None, not bytes Any help in this will be much appreciated. Thanks, Tina


Odoo
App not compatible with Python 3.6
by on

This app references a python module version 2.7 and is not compatible with python 3.6 which is running on my customers system: File "/mnt/CybroAddons/import_product_image/models/import_image.py", line 23, in import urllib2 ModuleNotFoundError: No module named 'urllib2' In python 3.x this module is: urllib After installing this app, the system ends up in a blank screen, effectively making it a total stop. Only after removing this app and some other apps from Cybrosys, we got the system fully functional again. Other Cybrosys apps we removed: access_restriction_by_ip, auto_resend_mail, hr_payslip_monthly_report, mrp_work_order_print, product_deletion, sale_discount_total, user_login_alert, account_journal_common_report, hide_cost_price, login_user_detail, pos_ticket, quality_assurance, total_payable_receivable, website_coupon. Please update these apps to support Python 3.x. Thanks in advance.